Page MenuHomePhabricator

Public | Why does Replicator fail on these files?
Closed, ResolvedPublic

Description

Barry wrote to support@karenware.com about the same issue.

After I run some jobs the main Replicator displays a job summary that contains the number of failures and warnings. When I check the log file, there are no failures. Please advise. When I search the log file for warnings, the only one I've seen so far (numerous times) is: "Warning: Could Not Set Destination File Attributes (Error 3 - The system cannot find the path specified.)" The file appears in the destination folder so what does this warning mean? Also, where can I get more info regarding failure and warning messages?

This file is there:
J:\home\Documents\DEV\workspaces\Zend\workspaces\Winett\winett-com\node_modules\grunt-contrib-nodeunit\node_modules\nodeunit\node_modules\tap\node_modules\runforcover\node_modules\bunker\node_modules\burrito\node_modules\uglify-js\test\unit\compress\test\const.js

To:
Y:\J\Documents\DEV\workspaces\Zend\workspaces\Winett\winett-com\node_modules\grunt-contrib-nodeunit\node_modules\nodeunit\node_modules\tap\node_modules\runforcover\node_modules\bunker\node_modules\burrito\node_modules\uglify-js\test\unit\compress\test\const.js

Failed (Error 3 - The system cannot find the path specified.)
This file is there:
J:\home\Documents\DEV\workspaces\Zend\workspaces\Winett\winett.git\node_modules\grunt-contrib-nodeunit\node_modules\nodeunit\node_modules\tap\node_modules\runforcover\node_modules\bunker\node_modules\burrito\node_modules\uglify-js\test\unit\compress\test\const.js

To:
Y:\J\Documents\DEV\workspaces\Zend\workspaces\Winett\winett.git\node_modules\grunt-contrib-nodeunit\node_modules\nodeunit\node_modules\tap\node_modules\runforcover\node_modules\bunker\node_modules\burrito\node_modules\uglify-js\test\unit\compress\test\const.js

Failed (Error 3 - The system cannot find the path specified.)

Event Timeline

Joe created this task.Jan 9 2019, 11:42 AM
Joe created this object in space S5 Public.
Joe triaged this task as High priority.
Joe created this object with visibility "Public (No Login Required)".
Joe updated the task description. (Show Details)
Joe added a comment.Jan 9 2019, 11:44 AM

There are dozens of other files in that directory that did replicate.

Joe added a comment.Jan 9 2019, 11:45 AM

CMD's Copy works...

J:\home>copy J:\home\Documents\DEV\workspaces\Zend\workspaces\Winett\winett-com\node_modules\grunt-contrib-nodeunit\node_modules\nodeunit\node_modules\tap\node_modules\runforcover\node_modules\bunker\node_modules\burrito\node_modules\uglify-js\test\unit\compress\test\const.js Y:\J\Documents\DEV\workspaces\Zend\workspaces\Winett\winett-com\node_modules\grunt-contrib-nodeunit\node_modules\nodeunit\node_modules\tap\node_modules\runforcover\node_modules\bunker\node_modules\burrito\node_modules\uglify-js\test\unit\compress\test\const.js
        1 file(s) copied.
Joe added a comment.Jan 14 2019, 1:54 PM

Replicator didn't fail this job:

From: 	J:\home\Documents\DEV\workspaces\Zend\workspaces\Winett\winett-com\node_modules\grunt-contrib-nodeunit\node_modules\nodeunit\node_modules\tap\node_modules\runforcover\node_modules\bunker\node_modules\burrito\node_modules\uglify-js\test\unit\compress\test\
To: 	Y:\node_modules\
Joe added a comment.Jan 14 2019, 1:56 PM

This also works:

From: 	J:\home\Documents\DEV\workspaces\Zend\workspaces\Winett\winett-com\node_modules\grunt-contrib-nodeunit\node_modules\nodeunit\node_modules\tap\node_modules\runforcover\node_modules\bunker\node_modules\burrito\node_modules\uglify-js\test\unit\compress\test\
To: 	Y:\T117\home\Documents\DEV\workspaces\Zend\workspaces\Winett\winett-com\node_modules\grunt-contrib-nodeunit\node_modules\nodeunit\node_modules\tap\node_modules\runforcover\node_modules\bunker\node_modules\burrito\node_modules\uglify-js\test\unit\compress\test\
Joe added a comment.Jan 14 2019, 1:58 PM

This works, too? Then what's the problem?

From: 	J:\home\Documents\DEV\workspaces\Zend\workspaces\Winett\winett-com\node_modules\grunt-contrib-nodeunit\node_modules\nodeunit\node_modules\tap\node_modules\runforcover\node_modules\bunker\node_modules\burrito\node_modules\
To: 	Y:\T117\home\Documents\DEV\workspaces\Zend\workspaces\Winett\winett-com\node_modules\grunt-contrib-nodeunit\node_modules\nodeunit\node_modules\tap\node_modules\runforcover\node_modules\bunker\node_modules\burrito\node_modules\
Joe added a comment.Jan 14 2019, 2:02 PM

And this works

From: 	J:\home\Documents\DEV\workspaces\Zend\workspaces\Winett\winett-com\
To: 	Y:\T117\home\Documents\DEV\workspaces\Zend\workspaces\Winett\winett-com\
Joe updated the task description. (Show Details)Feb 23 2019, 8:54 AM
Joe added a comment.Feb 23 2019, 9:46 AM

Edward reported a similar issue on Server 2012 to support@karenware.com:

2/10/2019 5:40:25 AM: Error: Copy of <this file> to <that file> Failed (Error 3 - The system cannot find the path specified.)

Joe added a comment.Apr 24 2020, 10:37 AM

I noticed that File Explorer snaps into \\?\ direct mode over the long pathname

Joe closed this task as Resolved.Apr 28 2020, 10:42 PM

Q: Why does Replicator fail on these files?
A: Because the NTFS directory on my Source Folder drive is corrupted on those files.

My problem doesn't have anything to do with the bug fixed in T188: Error 3 - The system cannot find the path specified